Index: src/backend/libpq/auth.c
===================================================================
RCS file: /usr/local/cvsroot/pgsql/src/backend/libpq/auth.c,v
retrieving revision 1.146
diff -c -p -r1.146 auth.c
*** src/backend/libpq/auth.c	6 Nov 2006 01:27:52 -0000	1.146
--- src/backend/libpq/auth.c	4 Dec 2006 13:47:05 -0000
*************** pg_krb5_recvauth(Port *port)
*** 216,221 ****
--- 217,225 ----
  	krb5_ticket *ticket;
  	char	   *kusername;
  
+ 	if (get_role_line(port->user_name) == NULL)
+ 		return STATUS_ERROR;
+ 	
  	ret = pg_krb5_init();
  	if (ret != STATUS_OK)
  		return ret;
Index: src/backend/libpq/hba.c
===================================================================
RCS file: /usr/local/cvsroot/pgsql/src/backend/libpq/hba.c,v
retrieving revision 1.157
diff -c -p -r1.157 hba.c
*** src/backend/libpq/hba.c	5 Nov 2006 22:42:08 -0000	1.157
--- src/backend/libpq/hba.c	4 Dec 2006 13:47:05 -0000
*************** authident(hbaPort *port)
*** 1589,1594 ****
--- 1589,1597 ----
  {
  	char		ident_user[IDENT_USERNAME_MAX + 1];
  
+ 	if (get_role_line(port->user_name) == NULL)
+ 		return STATUS_ERROR;
+ 	
  	switch (port->raddr.addr.ss_family)
  	{
  		case AF_INET:
